@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif;
}

body {
    background-image: url(./img/imagemfundo.png);
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}


main {
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    width: 90%;
    max-width: 420px;
    border-radius: 30px;
}

input {
    border: none;
    outline: none;
    padding: 10px;
    border-radius: 24px;
    width: calc(100% - 100px);
    color: white;
    font-size: 20px;
    background-color: #7c7c7c2b;
}

button{
    border: none;
    outline: none;
    padding: 7px;
    cursor: pointer;
    border-radius: 50%;
    background-color: #7c7c7c2b;
    float: right;
    transition: background-color 0.2s ease-in-out;

}

button:hover{
    background-color: #7c7c7c6b;
}

button:active{
    opacity: 0.6;
}

.lupa{
    height: 20px;
    width: 20px;
}

.elements{
    margin-top: 10px;
    gap: 10px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.weather{
    display: flex;
    align-items: center;
}

.icon{
    width: 30px;
}

.description{
    margin-left: 10px;
}